petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetOffset

Gets the index offset of the DA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetOffset(DM da,PetscInt *xo,PetscInt *yo,PetscInt *zo,PetscInt *Mo,PetscInt *No,PetscInt *Po)

Not collective Many br

### Input Parameter

da -The DMDA Many br

### Output Parameters

| xo | - The offset in the x direction Many br
| yo | - The offset in the y direction Many br
| zo | - The offset in the z direction Many br
| Mo | - The global size in the x direction Many br
| No | - The global size in the y direction Many br
| Po | - The global size in the z direction Many br

Many br

### Keywords

distributed array, degrees of freedom

### See Also

DMDASetOffset(), DMDAVecGetArray()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages